{subsection: Using +WantFTOnCheckpoint}
 
-[extended example]
+Given the following toy self-checkpointing script,
+
+{file: vuc.sh}
+#!/bin/bash
+
+VALUE=0
+if [ -e vuc.ckpt ]; then
+    for value in `cat vuc.ckpt`; do
+        VALUE=$value
+        break
+    done
+fi
+
+while [ ${VALUE} -lt 10 ]; do
+    echo "Computing timestep ${VALUE}..."
+    sleep 5
+    VALUE=$((VALUE+1))
+    echo ${VALUE} > vuc.ckpt
+    if [ $((VALUE%3)) -eq 0 ]; then
+        exit 17
+    fi
+done
+
+exit 0
+{endfile}
+
+the following submit file will transfer the file 'vuc.ckpt' back to the submit at timesteps 3, 6, and 9.  If interrupted, it will resume from the most recent of those checkpoints.
+
+{file: vuc.submit}
+executable                  = vuc.sh
+arguments                   =
+
+should_transfer_files       = yes
+when_to_transfer_output     = ON_EXIT_OR_EVICT
++WantFTOnCheckpoint         = TRUE
++SuccessCheckpointExitCode  = 17
+transfer_output_files       = vuc.ckpt
+
+output                      = vuc.out
+error                       = vuc.err
+log                         = vuc.log
+
+queue 1
+{endfile}
+
+This script/submit file combination does not remove the "checkpoint file" generated for timestep 9 when the job completes.  This could be done in 'vuc.sh' immediately before it exits, but that would cause the final file transfer to fail.  The script could instead remove the file and then re-create it empty, it desired.
 
 {subsection: How Frequently to Checkpoint}